core.node / NodeConfigurationFromProperties

# NodeConfigurationFromProperties

`class NodeConfigurationFromProperties : NodeConfiguration`

A simple wrapper around a plain old Java .properties file. The keys have the same name as in the source code.

TODO: Replace Java properties file with a better config file format (maybe yaml). We want to be able to configure via a GUI too, so an ability to round-trip whitespace, comments etc when machine editing the file is a must-have.

### Constructors

<init> | `NodeConfigurationFromProperties(properties: Properties)` A simple wrapper around a plain old Java .properties file. The keys have the same name as in the source code.

### Properties

exportJMXto | `val exportJMXto: String`
myLegalName | `val myLegalName: String`